Package org.jfree.layouting.renderer.model.table.rows

## Class TableRow

- java.lang.Object
- - org.jfree.layouting.renderer.model.table.rows.TableRow

-     public class TableRow
      extends java.lang.Object

  Creation-Date: 22.07.2006, 13:20:47
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableRow​()` |
    `TableRow​(Border border)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear​()` |
    `void` | `clearSizes​()` |
    `int` | `getMaximumRowSpan​()` |
    `int` | `getMaxValidatedRowSpan​()` |
    `long` | `getPreferredSize​()` |
    `long` | `getPreferredSize​(int colspan)` |
    `long` | `getValidatedLeadingSize​()` |
    `long` | `getValidatedTrailingSize​(int rowSpan)` |
    `long` | `getValidateSize​()` |
    `void` | `setPreferredSize​(long preferredSize)` |
    `void` | `setValidatedTralingSize​(int rowSpan, long validatedSize)` |
    `void` | `setValidateSize​(long validateSize)` |
    `void` | `updateDefinedSize​(int rowSpan, long preferredWidth)` |
    `void` | `updateValidatedSize​(int rowSpan, long leading, long trailing)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableRow

          public TableRow​()

    - #### TableRow

          public TableRow​(Border border)

  - ### Method Detail

    - #### getPreferredSize

          public long getPreferredSize​()

    - #### setPreferredSize

          public void setPreferredSize​(long preferredSize)

    - #### getPreferredSize

          public long getPreferredSize​(int colspan)

    - #### getMaximumRowSpan

          public int getMaximumRowSpan​()

    - #### updateDefinedSize

          public void updateDefinedSize​(int rowSpan,
                                        long preferredWidth)

    - #### getValidatedLeadingSize

          public long getValidatedLeadingSize​()

    - #### getValidatedTrailingSize

          public long getValidatedTrailingSize​(int rowSpan)

    - #### setValidatedTralingSize

          public void setValidatedTralingSize​(int rowSpan,
                                              long validatedSize)

    - #### getMaxValidatedRowSpan

          public int getMaxValidatedRowSpan​()

    - #### updateValidatedSize

          public void updateValidatedSize​(int rowSpan,
                                          long leading,
                                          long trailing)

    - #### getValidateSize

          public long getValidateSize​()

    - #### setValidateSize

          public void setValidateSize​(long validateSize)

    - #### clear

          public void clear​()

    - #### clearSizes

          public void clearSizes​()